--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.20, 0.02, "Key NP 0: CommandCenter");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.20, 0.02, "Key NP 0: CommandCenter Off");
		renderText(0.72, 0.86, 0.025, "- John Deere 7530 Premium -");			
		renderText(0.72, 0.83, 0.02, "Key 8: Degenhardt Frontattacher");
		renderText(0.72, 0.81, 0.02, "Key 9: Standard John Deere weight");
		renderText(0.72, 0.79, 0.02, "Key N: Install StarFire iTC");			
		renderText(0.72, 0.77, 0.02, "Key RShift: Look behind");
		renderText(0.72, 0.75, 0.02, "Key NP 7: Open/Close Left Door");
		renderText(0.72, 0.73, 0.02, "Key NP 8: Open/Close Rear Window");
		renderText(0.72, 0.71, 0.02, "Key NP 9: Open/Close Right Door");
		renderText(0.72, 0.69, 0.02, "Key 5: Raise Rear Hitch");
		renderText(0.72, 0.67, 0.02, "Key 6: Lower Rear Hitch");
		renderText(0.72, 0.65, 0.02, "Key U: Rear Duals");
		renderText(0.72, 0.63, 0.02, "- by SamN and RLM Works -");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




